API ReferenceapiclinicalGET /v1/lab-catalog/markers

GET /v1/lab-catalog/markers

Service: clinical · operationId: (none)

Search/list cached Junction lab markers with optional state availability + price.

Required scopes

(no scope declared — review service config)

Query parameters

  • q (string) —
  • state (string) —
  • tag (string) —
  • limit (integer) —
  • offset (integer,null) —

Responses

200 Marker list

{
  "type": "object",
  "properties": {
    "markers": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "slug": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "description": {
            "type": [
              "string",
              "null"
            ]
          },
          "biomarker_code": {
            "type": [
              "string",
              "null"
            ]
          },
          "units": {
            "type": [
              "string",
              "null"
            ]
          },
          "wholesale_cost": {
            "type": [
              "number",
              "null"
            ]
          },
          "currency": {
            "type": "string"
          },
          "source_lab_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "tags": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "availability": {
            "type": [
              "object",
              "null"
            ],
            "properties": {
              "state": {
                "type": "string"
              },
              "status": {
                "type": "string",
                "enum": [
                  "available",
                  "requires_byop",
                  "available_via_byop",
                  "unavailable"
                ]
              },
              "source_lab_id": {
                "type": [
                  "string",
                  "null"
                ]
              },
              "note": {
                "type": [
                  "string",
                  "null"
                ]
              }
            },
            "required": [
              "state",
              "status",
              "source_lab_id",
              "note"
            ]
          },
          "retail_price": {
            "type": [
              "number",
              "null"
            ]
          }
        },
        "required": [
          "id",
          "slug",
          "name",
          "description",
          "biomarker_code",
          "units",
          "wholesale_cost",
          "currency",
          "source_lab_id",
          "tags",
          "availability",
          "retail_price"
        ]
      }
    },
    "total": {
      "type": "integer"
    },
    "limit": {
      "type": "integer"
    },
    "offset": {
      "type": "integer"
    },
    "state": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "markers",
    "total",
    "limit",
    "offset",
    "state"
  ]
}

400 Validation error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://clinical.platform.loop.health/v1/lab-catalog/markers \
  -H "Authorization: Bearer $ACCESS_TOKEN"